qwen-plus-character API on AvalAI
qwen-plus-characterqwen-plus-character is an AI model from Alibaba that is available through AvalAI's OpenAI-compatible API.
Use qwen-plus-character with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "qwen-plus-character", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="qwen-plus-character",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "qwen-plus-character",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- Function calling
- Reasoning
- Tool choice
qwen-plus-character rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 1 | 40,000 |
| Tier 1 | 25 | 200,000 |
| Tier 2 | 50 | 1,000,000 |
| Tier 3 | 100 | 800,000 |
| Tier 4 | 250 | 1,000,000 |
| Tier 5 | 750 | 2,000,000 |
Related models
Frequently asked questions
What is the qwen-plus-character API on AvalAI?
Create an AvalAI API key and send the model ID qwen-plus-character to one of the supported endpoints shown on this page.
How much does the qwen-plus-character API cost on AvalAI?
The qwen-plus-character API on AvalAI costs $0.50 per 1M input tokens and $1.40 per 1M output tokens.
What is the token cost for qwen-plus-character?
Current AvalAI pricing for qwen-plus-character is $0.50 / 1M tokens for input and $1.40 / 1M tokens for output.
What is the qwen-plus-character context window?
The recorded maximum input context for qwen-plus-character is 30,000 tokens.
What are the rate limits for qwen-plus-character on AvalAI?
On tier 5, qwen-plus-character on AvalAI supports up to 750 requests per minute and 2,000,000 tokens per minute.
What features does qwen-plus-character support on AvalAI?
qwen-plus-character on AvalAI supports Function calling, Reasoning, Tool choice.
What account tier is required to use qwen-plus-character on AvalAI?
Calling qwen-plus-character on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)